eventsReceive information on event related data.

Receive information on event related data.

Request can be send with body or as query. Type of array parameter can be given by seperating them by comma. Example: &eventId=2,3,4

curl -X GET "https://api.example.com/restapi/v1/events?catalogId=123&eventId=123&catalogCategoryId=123&dateId=123&displayDate=example_string&excludeWithoutDisplayDate=false&dateStart=example_string&dateEnd=example_string&mainDateTrainer=false&allDateTrainers=false&nextDatesTrainers=42&eventDateFiles=example_string&eventMetaData=false&dateMetaData=false&prices=false&ebgData=false&eventMetaTags=false&hotelQuota=false" \
  -H "Content-Type: application/json" \
  -d '{
  "catalogId": [
    123
  ],
  "eventId": [
    123
  ],
  "catalogCategoryId": [
    123
  ],
  "dateId": 123,
  "displayDate": "example_string",
  "excludeWithoutDisplayDate": true,
  "dateStart": "example_string",
  "dateEnd": "example_string",
  "mainDateTrainer": true,
  "allDateTrainers": true,
  "nextDatesTrainers": 42,
  "eventDateFiles": 42,
  "eventMetaData": true,
  "dateMetaData": true,
  "prices": true,
  "ebgData": true,
  "eventMetaTags": true,
  "hotelQuota": true
}'
[
  {
    "event_id": 123,
    "event_identifier": "example_string",
    "event_catalog_categories": [
      {
        "eventcat_id": 123,
        "lang_id": "example_string",
        "eventcatname_name": "John Doe",
        "eventcat_desc": "example_string",
        "eventcat_footerdesc": "example_string",
        "eventcat_color": "example_string",
        "diskitem_id": 123,
        "font_icon": "example_string",
        "catalog_protected": true,
        "catalog_id": 123,
        "eventcat_parent": 42,
        "diskitem_file": "example_string"
      }
    ],
    "event_title": "example_string",
    "event_subtitle": "example_string",
    "event_article_no": "example_string",
    "days": 42,
    "prospective_allowed": true,
    "publish_coop_data_allowed": true,
    "event_desc_link": "example_string",
    "event_teaser": "example_string",
    "event_description": "example_string",
    "event_requirements": "example_string",
    "event_objectives": "example_string",
    "event_target_group": "example_string",
    "event_itinerary": "example_string",
    "event_service": "example_string",
    "event_misc": [
      {
        "misc1": "example_string",
        "misc2": "example_string",
        "misc3": "example_string",
        "misc4": "example_string",
        "misc5": "example_string",
        "misc6": "example_string",
        "misc7": "example_string",
        "misc8": "example_string",
        "misc9": "example_string",
        "misc10": "example_string"
      }
    ],
    "meta_tags": [
      {
        "meta_language_training": "example_string",
        "meta_event_type_name": "John Doe",
        "meta_target_group_name": "John Doe",
        "meta_topic_name": "John Doe",
        "meta_competence_level_name": "John Doe",
        "meta_occupation_name": "John Doe",
        "meta_dropdown_list": [
          {
            "dropdown_list_id": [
              {
                "list_id": "example_string",
                "name": "John Doe",
                "option": [
                  {
                    "entry_id": "example_string",
                    "value": "example_string",
                    "name": "John Doe"
                  }
                ]
              }
            ]
          }
        ]
      }
    ],
    "meta_data": "example_string",
    "event_files": [
      [
        {
          "event_id": 123,
          "diskitem_id": 123,
          "access_right": "example_string",
          "name": "John Doe",
          "description": "example_string",
          "path": "example_string"
        }
      ]
    ],
    "event_prices": [
      {
        "price_title": "example_string",
        "price_description": "example_string",
        "price_value_gross": "example_string",
        "price_value_net": "example_string",
        "price_vat": 29.99,
        "price_vat_included": true,
        "price_currency": "example_string"
      }
    ],
    "event_group_discounts": [
      {
        "discount_string": "example_string"
      }
    ],
    "event_pdfs": [
      {
        "pdf_name": "John Doe",
        "pdf_key": "example_string",
        "pdf_link": "example_string"
      }
    ],
    "ebg_data": [
      {
        "deftpl_field": [
          {
            "deftpl_description": "example_string",
            "deftpl_value": "example_string",
            "deftpl_detfault_description": "example_string"
          }
        ]
      }
    ],
    "conference_package": [
      {
        "resource_type": "example_string",
        "resource_id": "example_string",
        "article_name": "John Doe",
        "article_description": "example_string",
        "article_comment": "example_string",
        "article_description_html": "example_string",
        "article_price_buy": 29.99,
        "article_price_sale": 29.99,
        "article_price_sale_intern": 29.99,
        "article_currency": "example_string",
        "article_tax_included": true,
        "article_tax_amount": 3.14,
        "price_per_day": "example_string",
        "overwritten_sales_price": 29.99
      }
    ],
    "dates": [
      {
        "date_id": 123,
        "date_is_bookable": true,
        "date_is_active": true,
        "date_identifier": "example_string",
        "date_title": "example_string",
        "date_subtitle": "example_string",
        "date_catalog": [
          42
        ],
        "cooperation_partner": "example_string",
        "coop_partner_data": [
          {
            "address_street": "123 Main St",
            "address_housenumber": "123 Main St",
            "address_zip": "123 Main St",
            "address_city": "123 Main St",
            "address_country": "123 Main St",
            "address_department": "123 Main St",
            "default_email": "user@example.com",
            "default_website": "example_string",
            "default_phone": "+1-555-0123"
          }
        ],
        "responsible_person": [
          {
            "salutation": "example_string",
            "name": "John Doe",
            "first_name": "John Doe",
            "email": "user@example.com",
            "phone": "+1-555-0123",
            "image_url": "example_string"
          }
        ],
        "location": [
          {
            "location_id": 123,
            "name": "John Doe",
            "street": "example_string",
            "zip": "example_string",
            "city": "New York",
            "link": "example_string",
            "additional_field": "example_string",
            "phone": "+1-555-0123"
          }
        ],
        "article_no": "example_string",
        "date_status": "example_string",
        "date_format": "example_string",
        "date_lesson_units": "example_string",
        "free_places": 42,
        "waiting_list": true,
        "participants_min": 42,
        "participants_max": 42,
        "start_date": "example_string",
        "start_time": "example_string",
        "end_date": "example_string",
        "end_time": "example_string",
        "booking_start_date": "example_string",
        "booking_end_date": "example_string",
        "display_time_start": "example_string",
        "display_time_end": "example_string",
        "number_of_days": 42,
        "date_hours": [
          {
            "date_hours_date": "example_string",
            "date_hours_time_start": "example_string",
            "date_hours_time_end": "example_string",
            "date_hours_comment": "example_string"
          }
        ],
        "client_id": 123,
        "date_website_booking_link": "example_string",
        "hotel_quota": [
          {
            "id": 123,
            "data_identifier": "example_string",
            "name": "John Doe",
            "status": "example_string",
            "file_url": "example_string",
            "resource_id": "example_string",
            "resource_name": "John Doe",
            "resource_rooms": {
              "name": "John Doe",
              "bedsAmount": "example_string",
              "price": 29.99,
              "priceCurrency": "example_string",
              "priceTaxIncluded": true,
              "priceTaxAmount": "example_string",
              "priceBreakfast": 29.99,
              "priceCurrencyBreakfast": "example_string",
              "priceTaxIncludedBreakfast": true,
              "priceTaxAmountBreakfast": "example_string",
              "isMandatoryBreakfast": true
            }
          }
        ],
        "all_trainers": [
          {
            "trainer_identifier": "example_string",
            "salutation": "example_string",
            "trainer_firstname": "John Doe",
            "trainer_lastname": "John Doe",
            "trainer_title": "example_string",
            "trainer_company": "example_string",
            "trainer_description_html": "example_string",
            "trainer_image_url": "example_string",
            "next_dates": [
              {
                "date_id": "example_string",
                "title": "example_string",
                "date_start": "example_string",
                "date_end": "example_string"
              }
            ]
          }
        ],
        "main_trainer": [
          {
            "trainer_identifier": "example_string",
            "salutation": "example_string",
            "trainer_firstname": "John Doe",
            "trainer_lastname": "John Doe",
            "trainer_title": "example_string",
            "trainer_company": "example_string",
            "trainer_description_html": "example_string",
            "trainer_image_url": "example_string",
            "next_dates": [
              {
                "date_id": "example_string",
                "title": "example_string",
                "date_start": "example_string",
                "date_end": "example_string"
              }
            ]
          }
        ],
        "date_prices": [
          {
            "price_title": "example_string",
            "price_description": "example_string",
            "price_value_gross": "example_string",
            "price_value_net": "example_string",
            "price_vat": 29.99,
            "price_vat_included": true,
            "price_currency": "example_string",
            "price_valid_from": "example_string",
            "price_valid_to": "example_string"
          }
        ],
        "series_dates": [
          {
            "module_type": [
              {
                "config": {
                  "date_config_id": 123,
                  "date_id": 123,
                  "module_event_id": 123,
                  "module_type": "module",
                  "module_position": 42,
                  "module_is_mandatory": true,
                  "module_is_bookable": true,
                  "sort_by": "example_string",
                  "linked_dates": [
                    {
                      "date_config_id": 123,
                      "linked_date_id": 123,
                      "is_preselected": true,
                      "module_event_id": 123,
                      "module_type": "example_string",
                      "module_position": 42,
                      "module_is_bookable": true,
                      "module_is_mandatory": true
                    }
                  ]
                },
                "dates": [
                  {
                    "date_id": 123,
                    "is_preselected": true,
                    "date_config_id": 123,
                    "date_identifier": "example_string",
                    "date_date_start": "2024-12-25",
                    "date_time_start": "07:30",
                    "date_date_end": "2024-12-25",
                    "date_time_end": "example_string",
                    "date_title": "example_string",
                    "date_subtitle": "example_string",
                    "date_duration": "example_string",
                    "participants_min": 42,
                    "participants_max": 42,
                    "participants_count": 10,
                    "participants_reserved": 42,
                    "participants_waitlist": 42,
                    "is_generally_bookable": true,
                    "main_trainer": "example_string",
                    "trainer": [
                      "example_string"
                    ],
                    "main_location": {
                      "name": "John Doe",
                      "street": "example_string",
                      "zip": "example_string",
                      "city": "New York",
                      "link": "example_string",
                      "additional_field": "example_string"
                    },
                    "location": [
                      {
                        "name": "John Doe",
                        "street": "example_string",
                        "zip": "example_string",
                        "city": "New York",
                        "link": "example_string",
                        "additional_field": "example_string"
                      }
                    ],
                    "prices": [
                      {
                        "price_id": 123,
                        "price_title": "example_string",
                        "price_description": "example_string",
                        "price_type": 42,
                        "price_value": 29.99,
                        "price_currency": "EUR",
                        "price_tax_included": true,
                        "price_tax_amount": 29.99,
                        "price_valid_from": "2024-12-25",
                        "price_valid_to": "2024-12-25",
                        "cmscont_id": 123,
                        "ct_set_id": 123,
                        "ccategory_id": 123,
                        "price_additional_field_text": "example_string",
                        "price_valid_for": "example_string",
                        "date_id": 123,
                        "price_end": 29.99
                      }
                    ]
                  }
                ]
              }
            ]
          }
        ],
        "series_parents": [
          {
            "parent_date_id": [
              {
                "date_id": 123,
                "date_identifier": "example_string",
                "date_date_start": "2024-12-25",
                "date_time_start": "07:00",
                "date_date_end": "2024-12-25",
                "date_time_end": "example_string",
                "date_title": "example_string",
                "date_subtitle": "example_string",
                "date_duration": "example_string",
                "participants_min": 42,
                "participants_max": 42,
                "participants_count": 10,
                "participants_reserved": 42,
                "participants_waitlist": 42,
                "is_generally_bookable": true,
                "main_location": {
                  "name": "John Doe",
                  "street": "example_string",
                  "zip": "example_string",
                  "city": "New York",
                  "link": "example_string",
                  "additional_field": "example_string"
                },
                "location": [
                  {
                    "name": "John Doe",
                    "street": "example_string",
                    "zip": "example_string",
                    "city": "New York",
                    "link": "example_string",
                    "additional_field": "example_string"
                  }
                ],
                "prices": [
                  {
                    "price_id": 123,
                    "price_title": "example_string",
                    "price_description": "example_string",
                    "price_type": 42,
                    "price_value": 29.99,
                    "price_currency": "EUR",
                    "price_tax_included": true,
                    "price_tax_amount": 29.99,
                    "price_valid_from": "2024-12-25",
                    "price_valid_to": "2024-12-25",
                    "cmscont_id": 123,
                    "ct_set_id": 123,
                    "ccategory_id": 123,
                    "price_additional_field_text": "example_string",
                    "price_valid_for": "example_string",
                    "date_id": 123,
                    "price_end": 29.99
                  }
                ]
              }
            ]
          }
        ],
        "date_meta_data": [
          {
            "meta_title": "example_string",
            "meta_dropdown_list": [
              {
                "dropdown_list_id": [
                  {
                    "list_id": "example_string",
                    "name": "John Doe",
                    "option": [
                      {
                        "entry_id": "example_string",
                        "value": "example_string",
                        "name": "John Doe"
                      }
                    ]
                  }
                ]
              }
            ]
          }
        ],
        "ebg_data": [
          {
            "deftpl_field": [
              {
                "deftpl_description": "example_string",
                "deftpl_value": "example_string",
                "deftpl_detfault_description": "example_string"
              }
            ]
          }
        ],
        "date_misc": [
          {
            "misc1": "example_string",
            "misc2": "example_string",
            "misc3": "example_string",
            "misc4": "example_string",
            "misc5": "example_string",
            "misc6": "example_string",
            "misc7": "example_string",
            "misc8": "example_string",
            "misc9": "example_string",
            "misc10": "example_string"
          }
        ],
        "conference_package": [
          {
            "resource_type": "example_string",
            "resource_id": "example_string",
            "article_name": "John Doe",
            "article_description": "example_string",
            "article_comment": "example_string",
            "article_description_html": "example_string",
            "article_price_buy": 29.99,
            "article_price_sale": 29.99,
            "article_price_sale_intern": 29.99,
            "article_currency": "example_string",
            "article_tax_included": true,
            "article_tax_amount": 3.14,
            "price_per_day": "example_string",
            "overwritten_sales_price": 29.99
          }
        ],
        "event_pdfs": [
          {
            "pdf_name": "John Doe",
            "pdf_key": "example_string",
            "pdf_link": "example_string"
          }
        ],
        "date_files": [
          [
            {
              "event_id": 123,
              "diskitem_id": 123,
              "access_right": "example_string",
              "name": "John Doe",
              "description": "example_string",
              "path": "example_string"
            }
          ]
        ]
      }
    ]
  }
]
GET
/events
GET
Base URLstring

Target server for requests. Edit to use your own host.

query
catalogIdinteger

IDs of the catalog. Can be given as array of integers (comma-separated values)

query
eventIdinteger

IDs of the event. Can be given as integer or array of integers (comma-separated values)

query
catalogCategoryIdinteger

IDs of the catalog categories. Can be given as integer or array of integers (comma-separated values)

query
dateIdinteger

IDs of the date.

query
displayDatestring

ISO-date, for example 2024-01-01.

query
excludeWithoutDisplayDateboolean

Exclude dates, which are not in display range.

query
dateStartstring

ISO-date, for example 2024-01-01.

query
dateEndstring

ISO-date, for example 2024-01-01.

query
mainDateTrainerboolean

Returns main-trainer of the date.

query
allDateTrainersboolean

Returns all date trainers

query
nextDatesTrainersinteger

Returns the next dates for trainer for the given number of month. Works only if 'mainDateTrainer' or 'allDateTrainers' are active.

query
eventDateFilesstring

Returns the event and date files which are requested. Multiple values are possible (comma separated)

query
eventMetaDataboolean

Returns the meta data from the event

query
dateMetaDataboolean

Returns the meta data from the event

query
pricesboolean

Returns the prices from the date

query
ebgDataboolean

Returns the EBG data from event and date

query
eventMetaTagsboolean

Returns the tags (keywords) from the event

query
hotelQuotaboolean

Returns the hotel quota data

Content-Typestring
Required

The media type of the request body

Options: application/json
catalogIdarray

Can by type of integer or array of integers

displayDatestring

You must give date in ISO-date for example 2014-01-01.

dateStartstring

You must give date in ISO-date for example 2014-01-01.

dateEndstring

You must give date in ISO-date for example 2014-01-01.

mainDateTrainerboolean

If set true return date main trainer only.

allDateTrainersboolean

If set true return date all trainers.

nextDatesTrainersinteger

If set with number, the next dates of the given number of month returns. Works only if 'mainDateTrainer' or 'allDateTrainers' are active.

eventDateFilesinteger

If set, returns the event and date files which are requested. Multiple values are possible.

eventMetaDataboolean

If set true return event meta data.

dateMetaDataboolean

If set true return date meta data.

pricesboolean

If set true return date prices.

ebgDataboolean

If set true return event/date additional extended fields data.

eventMetaTagsboolean

If set true return event Meta Tag data.

hotelQuotaboolean

If set true return date hotel quota.

Request Preview
Response

Response will appear here after sending the request

Query Parameters

catalogIdinteger

IDs of the catalog. Can be given as array of integers (comma-separated values)

eventIdinteger

IDs of the event. Can be given as integer or array of integers (comma-separated values)

catalogCategoryIdinteger

IDs of the catalog categories. Can be given as integer or array of integers (comma-separated values)

dateIdinteger

IDs of the date.

displayDatestring

ISO-date, for example 2024-01-01.

excludeWithoutDisplayDateboolean

Exclude dates, which are not in display range.

dateStartstring

ISO-date, for example 2024-01-01.

dateEndstring

ISO-date, for example 2024-01-01.

mainDateTrainerboolean

Returns main-trainer of the date.

allDateTrainersboolean

Returns all date trainers

nextDatesTrainersinteger

Returns the next dates for trainer for the given number of month. Works only if 'mainDateTrainer' or 'allDateTrainers' are active.

eventDateFilesstring

Returns the event and date files which are requested. Multiple values are possible (comma separated)

eventMetaDataboolean

Returns the meta data from the event

dateMetaDataboolean

Returns the meta data from the event

pricesboolean

Returns the prices from the date

ebgDataboolean

Returns the EBG data from event and date

eventMetaTagsboolean

Returns the tags (keywords) from the event

hotelQuotaboolean

Returns the hotel quota data

Body

application/json
catalogIdarray

Can by type of integer or array of integers

displayDatestring

You must give date in ISO-date for example 2014-01-01.

dateStartstring

You must give date in ISO-date for example 2014-01-01.

dateEndstring

You must give date in ISO-date for example 2014-01-01.

mainDateTrainerboolean

If set true return date main trainer only.

allDateTrainersboolean

If set true return date all trainers.

nextDatesTrainersinteger

If set with number, the next dates of the given number of month returns. Works only if 'mainDateTrainer' or 'allDateTrainers' are active.

eventDateFilesinteger

If set, returns the event and date files which are requested. Multiple values are possible.

eventMetaDataboolean

If set true return event meta data.

dateMetaDataboolean

If set true return date meta data.

pricesboolean

If set true return date prices.

ebgDataboolean

If set true return event/date additional extended fields data.

eventMetaTagsboolean

If set true return event Meta Tag data.

hotelQuotaboolean

If set true return date hotel quota.

Responses

event_idinteger
event_identifierstring
event_catalog_categoriesarray
event_titlestring
event_subtitlestring
event_article_nostring
daysinteger
prospective_allowedboolean
publish_coop_data_allowedboolean
event_desc_linkstring
event_teaserstring
event_descriptionstring
event_requirementsstring
event_objectivesstring
event_target_groupstring
event_itinerarystring
event_servicestring
event_miscarray
meta_tagsarray
meta_datastring
event_filesarray[]
event_pricesarray
event_group_discountsarray
event_pdfsarray
ebg_dataarray
conference_packagearray
datesarray